> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv1shadowedviewerdestinationroot



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.Viewer//swagger/v1/swagger.json get /api/v1/ShadowedViewer/destinationRoot
openapi: 3.0.0
info:
  title: NDS.Services.Viewer
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.Viewer/
security: []
paths:
  /api/v1/ShadowedViewer/destinationRoot:
    get:
      tags:
        - ShadowedViewer
      operationId: ShadowedViewer_GetDestinationRoot
      parameters:
        - name: Context.CorrelationId
          in: query
          schema:
            type: string
            nullable: true
          x-position: 1
        - name: Context.UserId
          in: query
          schema:
            type: string
            nullable: true
          x-position: 2
        - name: Context.Pads4UserId
          in: query
          schema:
            type: string
            nullable: true
          x-position: 3
        - name: Context.Domain
          in: query
          schema:
            type: string
            nullable: true
          x-position: 4
        - name: Context.Claims
          in: query
          style: form
          explode: true
          schema:
            type: array
            nullable: true
            items:
              $ref: '#/components/schemas/UserClaim'
          x-position: 5
        - name: Context.SecondaryIdentities
          in: query
          style: form
          explode: true
          schema:
            type: array
            nullable: true
            items:
              type: string
          x-position: 6
        - name: Context.ImpersonationId
          in: query
          schema:
            type: string
            nullable: true
          x-position: 7
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetDestinationRootResult'
components:
  schemas:
    UserClaim:
      type: object
      additionalProperties: false
      properties:
        Type:
          type: string
          nullable: true
        Value:
          type: string
          nullable: true
    GetDestinationRootResult:
      allOf:
        - $ref: '#/components/schemas/ResultMessage'
        - type: object
          additionalProperties: false
          properties:
            RootDestinationId:
              type: string
              nullable: true
    ResultMessage:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true
        Code:
          type: string
          nullable: true

````